package com.usoftchina.bi.server.model.vo.configVo;

import com.usoftchina.bi.server.model.bo.Screen;

import java.util.List;

public class PopulationInfo {
    private int id;
    private String columnName;
    private List<String> operatorList;
    private List<String> groupByList;
    private List<Screen> filters;


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public List<String> getOperatorList() {
        return operatorList;
    }

    public void setOperatorList(List<String> operatorList) {
        this.operatorList = operatorList;
    }

    public List<String> getGroupByList() {
        return groupByList;
    }

    public void setGroupByList(List<String> groupByList) {
        this.groupByList = groupByList;
    }

    public List<Screen> getFilters() {
        return filters;
    }

    public void setFilters(List<Screen> filters) {
        this.filters = filters;
    }
}
